require 'rubygame'

class Controller
  @@callback = nil
  @@context = {}

  def Controller.change_to(controller)
    @@callback.controller = controller
  end
  
  def Controller.callback=(app)
    @@callback = app
  end
  
  def Controller.handle(event)
    throw :must_override
  end
  
  def Controller.context
    @@context
  end
  
  def Controller.add_context(name,var)
    @@context[name] = var
  end
end
