require 'rubygame'
require 'lib/visible'
require 'singleton'

class SplashOverlay
  include Rubygame::Sprites::Sprite
  include Singleton
  include Visible
  
  attr_reader :image,:rect
  
  def initialize
    super
    
    @image = Rubygame::Surface["start.png"]
    @rect = @image.make_rect
    @settings = Settings.instance
    @rect.x = @settings[:width]/2-@rect.width/2
    @rect.y = @settings[:height]/2-@rect.height/2
    self.visible=true
  end
  
  def update
  
  end
end
  
