module Visible
  @visible=true
  
  def visible?
    @visible
  end
  
  def visible=(v)
    @visible=v
  end
  
  def draw(surf)
    if visible?
      return super(surf)
    else
      return Rubygame::Rect.new(0,0,0,0)
    end
  end
  
  def show
    self.visible=true
  end
  
  def hide
    self.visible=false
  end
end
