require 'lib/controller'
require 'lib/controller/routecontroller'
require 'lib/popup'

class CargoController < Controller
  def CargoController.handle(event)
    case event
      when MouseDownEvent
        if CargoOverlay.instance.click_at(*event.pos)
          CargoOverlay.instance.hide
          RouteOverlay.instance.cargo.push CargoOverlay.instance.cmd
          RouteOverlay.instance.show
          Controller.change_to(RouteController)
        end
      when MouseMotionEvent
        CargoOverlay.instance.mouse_at(*event.pos)
    end
  end
end
