require 'lib/controller'
require 'lib/controller/default'
require 'lib/controller/retirecontroller'
require 'lib/popup'

class QuitController < Controller
  def QuitController.handle(event)
    case event
      when MouseMotionEvent
        QuitOverlay.instance.mouse_at(*event.pos)
      when MouseDownEvent
        if QuitOverlay.instance.buttons[0].collide_point?(*event.pos)
          QuitOverlay.instance.hide
          RetireOverlay.instance.show
          Controller.change_to(RetireController)
        elsif QuitOverlay.instance.buttons[1].collide_point?(*event.pos)
          QuitOverlay.instance.hide
          Controller.change_to(DefaultController)
        end
    end
  end
end
