require 'lib/controller'
require 'lib/controller/helpcontroller'
require 'lib/popup'

class SplashController < Controller
  def SplashController.handle(event)
    case event
      when MouseDownEvent
        Controller.change_to(HelpController)
        SplashOverlay.instance.hide
        HelpOverlay.instance.show
      when KeyDownEvent
        throw :quit if event.key == K_ESCAPE
        SplashOverlay.instance.hide
        HelpOverlay.instance.show
        Controller.change_to(HelpController)
    end
  end
end
