require 'singleton'
require 'lib/announce'

class Day
  include Singleton

  @@day = 0
  @@cron = {}

  def day
    @@day
  end
  
  def Day.day
    @@day
  end
  
  def Day.add_task(day,task)
    @@cron[day] ||= []
    @@cron[day].push task
  end
  
  def Day.next_day
    @@day += 1
    if @@cron[@@day]
      @@cron[@@day].each { |task| task.call }
    end
    Announce.instance.announce("Day #{@@day+1}",nil,6)
  end
end
